/****************************************************************************
** CalibrateLaserMovementDialog meta object code from reading C++ file 'calibratelasermovementdialog.h'
**
** Created: Thu Jan 29 00:51:57 2004
**      by: The Qt MOC ($Id: calibratelasermovementdialog.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "calibratelasermovementdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *CalibrateLaserMovementDialog::className() const
{
    return "CalibrateLaserMovementDialog";
}

QMetaObject *CalibrateLaserMovementDialog::metaObj = 0;

void CalibrateLaserMovementDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(CalibrateLaserMovementDialogBase::className(), "CalibrateLaserMovementDialogBase") != 0 )
	badSuperclassWarning("CalibrateLaserMovementDialog","CalibrateLaserMovementDialogBase");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString CalibrateLaserMovementDialog::tr(const char* s)
{
    return qApp->translate( "CalibrateLaserMovementDialog", s, 0 );
}

QString CalibrateLaserMovementDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "CalibrateLaserMovementDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* CalibrateLaserMovementDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) CalibrateLaserMovementDialogBase::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (CalibrateLaserMovementDialog::*m1_t0)();
    typedef void (QObject::*om1_t0)();
    typedef void (CalibrateLaserMovementDialog::*m1_t1)();
    typedef void (QObject::*om1_t1)();
    m1_t0 v1_0 = &CalibrateLaserMovementDialog::startThread;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &CalibrateLaserMovementDialog::stop;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    QMetaData *slot_tbl = QMetaObject::new_metadata(2);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(2);
    slot_tbl[0].name = "startThread()";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "stop()";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Public;
    metaObj = QMetaObject::new_metaobject(
	"CalibrateLaserMovementDialog", "CalibrateLaserMovementDialogBase",
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
